# $Revision: 1.18 $, $Date: 2004/05/07 00:32:02 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Locale
%define	pnam	SubCountry
Summary:	Locale::SubCountry - convert state, province, county etc. names to/from code
Summary(pl):	Locale::SubCountry - zamiana nazw stanu, prowincji, kraju itp. na i z kodu
Name:		perl-Locale-SubCountry
Version:	1.34
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	13ab2eeb06fac3f229ec55a7820abfe4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows you to convert the full name for a countries
administrative region to the code commonly used for postal addressing.
The reverse lookup can also be done. Sub country codes are defined in
"ISO 3166-2:1998, Codes for the representation of names of countries
and their subdivisions".

%description -l pl
Ten modu pozwala zamienia pene nazwy obszarw administracyjnych
krajw na kody pocztowe. Moliwa jest take odwrotna zamiana. Kody
wewntrzne krajw s zdefiniowane w "ISO 3166-2:1998, Codes for the
representation of names of countries and their subdivisions".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-SubCountry.spec,v $
Revision 1.18  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.17  2004/05/06 18:20:30  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/17 15:49:19  adamg
- new style bconds

Revision 1.15  2004/04/17 15:14:40  adamg
- updated to 1.34

Revision 1.14  2004/03/06 19:41:38  adamg
- updated to 1.33

Revision 1.13  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/07/29 16:02:02  adamg
- updated to 1.23

Revision 1.10  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:35:44  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/02/05 16:19:06  ankry
- autoupdated to 1.22

Revision 1.3  2002/09/12 22:21:08  radek
- version 1.21
- added Changes file

Revision 1.2  2002/08/22 20:56:27  qboosh
- pl description

Revision 1.1  2002/08/22 16:42:53  radek
- new, STBR
